New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Import-PowerShellDataFile dependency #568

Open
andoius opened this Issue Nov 5, 2018 · 1 comment

Comments

Projects
None yet
2 participants
@andoius
Copy link

andoius commented Nov 5, 2018

With:

  • dbatools : 0.9.495

  • pester 4.4.2

  • psframework 0.10.29.160

  • dbachecks 1.1.160

powershell

Major Minor Build Revision
4 0 -1 -1

installation fails die to a dependancy on "Import-PowerShellDataFile" .. this module is only available in powershell 5+ therefore the following is incorrect

Client requirements
PowerShell 4+ is required.
Automatic installation of the dependent modules will only be provided via the PowerShell Gallery.

@SQLDBAWithABeard

This comment has been minimized.

Copy link
Collaborator

SQLDBAWithABeard commented Nov 8, 2018

Paging @FriedrichWeinmann as this is in a psframework command

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment